import { defineBuildConfig } from 'unbuild'

export default defineBuildConfig([
    {
        // 入口
        entries: ['src/index'],
        clean: true,
        // Generates .d.ts declaration file
        declaration: true,
        // Change outDir, default is 'dist'
        outDir: "dist",

        rollup: {
            emitCJS: true,
            inlineDependencies: true,
            esbuild: {
                minify: true,
            },
        },
    },
])
